View Issue Details

IDProjectCategoryView StatusLast Update
0036197FPCInstallerpublic2019-10-24 16:42
ReporterJohn ShandAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux 64bitOSArch LinuxOS VersionRolling Release
Product Version3.2.0Product Build43263 
Target VersionFixed in Version3.2.0 
Summary0036197: The installer encountered the following error: Compilation of "BuildUnit_fcl_json.pp" failed
DescriptionTarget OS: Linux for x86-64
Compiling fcl-json/BuildUnit_fcl_json.pp
Compiling ./fcl-json/src/fpjson.pp
Writing Resource String Table file: fpjson.rsj
Compiling ./fcl-json/src/jsonscanner.pp
jsonscanner.pp(262,17) Error: Identifier not found "FEOL"
jsonscanner.pp(283,46) Error: Identifier not found "FEOL"
jsonscanner.pp(554) Fatal: There were 2 errors compiling module, stopping
Fatal: Compilation aborted

The installer encountered the following error:
Compilation of "BuildUnit_fcl_json.pp" failed
make[2]: *** [Makefile:1726: smart] Error 1
make[2]: Leaving directory '/home/jshand/build/fpc/src/fpc/packages'
make[1]: *** [Makefile:2681: packages_smart] Error 2
make[1]: Leaving directory '/home/jshand/build/fpc/src/fpc'
make: *** [Makefile:2836: build-stamp.x86_64-linux] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

i have included a working PKGBUILD file for fpc 3.2.0
Steps To Reproducemakepkg -s
Additional InformationWorking Copy Root Path: /home/jshand/fpc
URL: https://svn.freepascal.org/svn/fpc/branches/fixes_3_2
Relative URL: ^/branches/fixes_3_2
Repository Root: https://svn.freepascal.org/svn/fpc
Repository UUID: 3ad0048d-3df7-0310-abae-a5850022a9f2
Revision: 43267
Node Kind: directory
Schedule: normal
Last Changed Author: michael
Last Changed Rev: 43263
Last Changed Date: 2019-10-20 03:56:52 +1300 (Sun, 20 Oct 2019)
TagsNo tags attached.
Fixed in Revision43269
FPCOldBugId
FPCTarget3.2.0
Attached Files
  • PKGBUILD (1,714 bytes)
    # Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
    # Maintainer: BlackIkeEagle <ike DOT devolder AT gmail DOT com>
    # Contributor: Valeriy Lyasotskiy <onestep@ukr.net>
    # Contributor: Jan Willemson <janwil@hot.ee>
    # Contributor: Hugo Ideler <hugoideler@dse.nl>
    # Original PKGBUILD: Andre Naumann <anaumann@SPARCed.org>
    # See http://bbs.archlinux.org/viewtopic.php?t=9318&highlight=fpc
    
    pkgname=fpc
    pkgver=3.2.0
    pkgrel=1
    pkgdesc="Free Pascal Compiler, Turbo Pascal 7.0 and Delphi compatible."
    arch=('x86_64')
    url="http://www.freepascal.org/"
    license=('GPL' 'LGPL' 'custom')
    backup=("etc/fpc.cfg")
    depends=('ncurses' 'zlib' 'expat' 'binutils' 'make')
    makedepends=(fpc)
    options=(zipman staticlibs)
    source=(fpc.tar.gz)
    sha512sums=('ea84c7e8545667ee2f49001b4a32d5f7e17a899973bdeeb4d57a69f09661ad6106782c140c3158693df516da9371961c6bfab554a4c4ebcd2529137f7897717b')
    
    build() {
      cd "$srcdir"/fpc
      pushd compiler
      fpcmake -Tall
      popd
      make build NOGDB=1
    }
    
    package() {
      cd "$srcdir"/fpc
    
      export HOME="$srcdir"
    
      make -j1 PREFIX="$pkgdir"/usr install NOGDB=1
    
      export PATH="$pkgdir"/usr/bin:$PATH
    
      install -Dm0644 "$srcdir"/fpc/rtl/COPYING.FPC "$pkgdir"/usr/share/licenses/${pkgname}/COPYING.FPC
    
      [ "$CARCH" = "x86_64" ] && ln -s /usr/lib/fpc/${pkgver}/ppcx64 "$pkgdir"/usr/bin/
    
      mkdir -p "$pkgdir"/etc
      "$pkgdir"/usr/lib/fpc/${pkgver}/samplecfg /usr/lib/fpc/${pkgver} "$pkgdir"/etc
      
      # use -fPIC by default
      echo -e "#ifdef cpux86_64\n# for x86_64 use -fPIC by default\n-Cg\n#endif" >> "$pkgdir"/etc/fpc.cfg
    
      #mv "$srcdir"/usr/man "$pkgdir"/usr/share/
    
      #find "$pkgdir"/etc/ -type f -exec sed -i "s|"$pkgdir"||g" {} \;
      #sed -e "s|$pkgdir||g" -i "$pkgdir/usr/lib/fpc/$pkgver/ide/text/fp.cfg"
    
    }
    
    PKGBUILD (1,714 bytes)

Activities

John Shand

2019-10-20 09:45

reporter  

PKGBUILD (1,714 bytes)
# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Maintainer: BlackIkeEagle <ike DOT devolder AT gmail DOT com>
# Contributor: Valeriy Lyasotskiy <onestep@ukr.net>
# Contributor: Jan Willemson <janwil@hot.ee>
# Contributor: Hugo Ideler <hugoideler@dse.nl>
# Original PKGBUILD: Andre Naumann <anaumann@SPARCed.org>
# See http://bbs.archlinux.org/viewtopic.php?t=9318&highlight=fpc

pkgname=fpc
pkgver=3.2.0
pkgrel=1
pkgdesc="Free Pascal Compiler, Turbo Pascal 7.0 and Delphi compatible."
arch=('x86_64')
url="http://www.freepascal.org/"
license=('GPL' 'LGPL' 'custom')
backup=("etc/fpc.cfg")
depends=('ncurses' 'zlib' 'expat' 'binutils' 'make')
makedepends=(fpc)
options=(zipman staticlibs)
source=(fpc.tar.gz)
sha512sums=('ea84c7e8545667ee2f49001b4a32d5f7e17a899973bdeeb4d57a69f09661ad6106782c140c3158693df516da9371961c6bfab554a4c4ebcd2529137f7897717b')

build() {
  cd "$srcdir"/fpc
  pushd compiler
  fpcmake -Tall
  popd
  make build NOGDB=1
}

package() {
  cd "$srcdir"/fpc

  export HOME="$srcdir"

  make -j1 PREFIX="$pkgdir"/usr install NOGDB=1

  export PATH="$pkgdir"/usr/bin:$PATH

  install -Dm0644 "$srcdir"/fpc/rtl/COPYING.FPC "$pkgdir"/usr/share/licenses/${pkgname}/COPYING.FPC

  [ "$CARCH" = "x86_64" ] && ln -s /usr/lib/fpc/${pkgver}/ppcx64 "$pkgdir"/usr/bin/

  mkdir -p "$pkgdir"/etc
  "$pkgdir"/usr/lib/fpc/${pkgver}/samplecfg /usr/lib/fpc/${pkgver} "$pkgdir"/etc
  
  # use -fPIC by default
  echo -e "#ifdef cpux86_64\n# for x86_64 use -fPIC by default\n-Cg\n#endif" >> "$pkgdir"/etc/fpc.cfg

  #mv "$srcdir"/usr/man "$pkgdir"/usr/share/

  #find "$pkgdir"/etc/ -type f -exec sed -i "s|"$pkgdir"||g" {} \;
  #sed -e "s|$pkgdir||g" -i "$pkgdir/usr/lib/fpc/$pkgver/ide/text/fp.cfg"

}
PKGBUILD (1,714 bytes)

Michael Van Canneyt

2019-10-20 10:11

administrator   ~0118722

Fixed. We had noticed it ourselves too. missing merge in a series of merges.
Thanks for reporting!

Issue History

Date Modified Username Field Change
2019-10-20 09:45 John Shand New Issue
2019-10-20 09:45 John Shand File Added: PKGBUILD
2019-10-20 10:03 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-10-20 10:03 Michael Van Canneyt Status new => assigned
2019-10-20 10:11 Michael Van Canneyt Status assigned => resolved
2019-10-20 10:11 Michael Van Canneyt Resolution open => fixed
2019-10-20 10:11 Michael Van Canneyt Fixed in Version => 3.2.0
2019-10-20 10:11 Michael Van Canneyt Fixed in Revision => 43269
2019-10-20 10:11 Michael Van Canneyt FPCTarget => 3.2.0
2019-10-20 10:11 Michael Van Canneyt Note Added: 0118722